ru.bitel.bgbilling.modules.psb.server.bean

## Class Constants

- java.lang.Object
- - ru.bitel.bgbilling.common.bean.BGBaseConstants
  - - ru.bitel.bgbilling.modules.psb.server.bean.Constants

-     public class Constants
      extends BGBaseConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_PSB_ADD_CONTRACT_ID`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_ENABLE`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_AUTO_ENABLE`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_DEFAULT`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_MONTH_ENABLE`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_WEEK_ENABLE`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_ID`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_INT_REF`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_PRN`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_REST_USER_NAME`
    `static java.lang.String` | `KEY_PSB_AUTOPAYMENT_REST_USER_PSWD`
    `static java.lang.String` | `KEY_PSB_BACK_URL`
    `static java.lang.String` | `KEY_PSB_CHARGE_COMMENT`
    `static java.lang.String` | `KEY_PSB_CHARGE_TYPE_ID`
    `static java.lang.String` | `KEY_PSB_COMMENT`
    `static java.lang.String` | `KEY_PSB_DESCRIPTION`
    `static java.lang.String` | `KEY_PSB_EMAIL`
    `static java.lang.String` | `KEY_PSB_GATE_URL`
    `static java.lang.String` | `KEY_PSB_KEY`
    `static java.lang.String` | `KEY_PSB_MERCHANT`
    `static java.lang.String` | `KEY_PSB_MERCHANT_NAME`
    `static java.lang.String` | `KEY_PSB_PASSWORD`
    `static java.lang.String` | `KEY_PSB_PAYMENT_COMMENT`
    `static java.lang.String` | `KEY_PSB_PAYMENT_TYPE_ID`
    `static java.lang.String` | `KEY_PSB_RECUR_EXP`
    `static java.lang.String` | `KEY_PSB_RECUR_FREQ`
    `static java.lang.String` | `KEY_PSB_SECRET`
    `static java.lang.String` | `KEY_PSB_SUM_MAX`
    `static java.lang.String` | `KEY_PSB_SUM_MIN`
    `static java.lang.String` | `KEY_PSB_TERMINAL`
    `static java.lang.String` | `KEY_PSB_URL_RETURN_NO`
    `static java.lang.String` | `KEY_PSB_URL_RETURN_OK`
    `static java.lang.String` | `PARAM_AMOUNT`
    `static java.lang.String` | `PARAM_AUTHCODE`
    `static java.lang.String` | `PARAM_BACKREF`
    `static java.lang.String` | `PARAM_CARD`
    `static java.lang.String` | `PARAM_CHANNEL`
    `static java.lang.String` | `PARAM_CURRENCY`
    `static java.lang.String` | `PARAM_DESC`
    `static java.lang.String` | `PARAM_EMAIL`
    `static java.lang.String` | `PARAM_INT_REF`
    `static java.lang.String` | `PARAM_MERCH_NAME`
    `static java.lang.String` | `PARAM_MERCHANT`
    `static java.lang.String` | `PARAM_NONCE`
    `static java.lang.String` | `PARAM_ORDER`
    `static java.lang.String` | `PARAM_ORG_AMOUNT`
    `static java.lang.String` | `PARAM_P_SIGN`
    `static java.lang.String` | `PARAM_RC`
    `static java.lang.String` | `PARAM_RCTEXT`
    `static java.lang.String` | `PARAM_RECUR_EXP`
    `static java.lang.String` | `PARAM_RECUR_FREQ`
    `static java.lang.String` | `PARAM_RECUR_REF`
    `static java.lang.String` | `PARAM_RESULT`
    `static java.lang.String` | `PARAM_RRN`
    `static java.lang.String` | `PARAM_TERMINAL`
    `static java.lang.String` | `PARAM_TIMESTAMP`
    `static java.lang.String` | `PARAM_TRTYPE`
    `static java.lang.String[]` | `PARAMS`
    `static java.lang.String[]` | `PARAMS_REG_CHAIN`
    `static java.lang.String[]` | `PARAMS_REG_RECUR`
    `static int` | `PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
    `static int` | `PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
    `static int` | `PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
    `static int` | `PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
    `static int` | `PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
    `static int` | `PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
    `static int` | `PSB_AUTOPAYMENT_MODE_DEFAULT`
    `static int` | `PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
    `static int` | `PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
    `static int` | `PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
    `static int` | `PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
    `static int` | `PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
    `static int` | `PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
    `static java.lang.String` | `PSB_CHARGE_COMMENT`
    `static java.lang.String` | `PSB_COMMENT`
    `static java.lang.String` | `PSB_CURRENCY`
    `static java.lang.String` | `PSB_DESCRIPTION`
    `static int` | `PSB_LIFETIME`
    `static java.lang.String` | `PSB_PAYMENT_COMMENT`
    `static int` | `PSB_RECUR_EXP`
    `static int` | `PSB_SUM_MAX`
    `static int` | `PSB_SUM_MIN`
    `static java.lang.String` | `PSB_URL_GATE`

    - ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

      `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PSB_RECUR_EXP

          public static final int PSB_RECUR_EXP

      See Also:
        Constant Field Values

    - #### PSB_LIFETIME

          public static final int PSB_LIFETIME

      See Also:
        Constant Field Values

    - #### PSB_SUM_MIN

          public static final int PSB_SUM_MIN

      See Also:
        Constant Field Values

    - #### PSB_SUM_MAX

          public static final int PSB_SUM_MAX

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_DEFAULT

          public static final int PSB_AUTOPAYMENT_MODE_DEFAULT

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN

          public static final int PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX

          public static final int PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

          public static final int PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN

          public static final int PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX

          public static final int PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

          public static final int PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

          public static final int PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

          public static final int PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

          public static final int PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

          public static final int PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

          public static final int PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

      See Also:
        Constant Field Values

    - #### PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

          public static final int PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### PSB_COMMENT

          public static final java.lang.String PSB_COMMENT

      See Also:
        Constant Field Values

    - #### PSB_CURRENCY

          public static final java.lang.String PSB_CURRENCY

      See Also:
        Constant Field Values

    - #### PSB_URL_GATE

          public static final java.lang.String PSB_URL_GATE

      See Also:
        Constant Field Values

    - #### PSB_CHARGE_COMMENT

          public static final java.lang.String PSB_CHARGE_COMMENT

      See Also:
        Constant Field Values

    - #### PSB_PAYMENT_COMMENT

          public static final java.lang.String PSB_PAYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### PSB_DESCRIPTION

          public static final java.lang.String PSB_DESCRIPTION

      See Also:
        Constant Field Values

    - #### KEY_PSB_KEY

          public static final java.lang.String KEY_PSB_KEY

      See Also:
        Constant Field Values

    - #### KEY_PSB_EMAIL

          public static final java.lang.String KEY_PSB_EMAIL

      See Also:
        Constant Field Values

    - #### KEY_PSB_SECRET

          public static final java.lang.String KEY_PSB_SECRET

      See Also:
        Constant Field Values

    - #### KEY_PSB_SUM_MIN

          public static final java.lang.String KEY_PSB_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_PSB_SUM_MAX

          public static final java.lang.String KEY_PSB_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_PSB_COMMENT

          public static final java.lang.String KEY_PSB_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_PSB_BACK_URL

          public static final java.lang.String KEY_PSB_BACK_URL

      See Also:
        Constant Field Values

    - #### KEY_PSB_GATE_URL

          public static final java.lang.String KEY_PSB_GATE_URL

      See Also:
        Constant Field Values

    - #### KEY_PSB_TERMINAL

          public static final java.lang.String KEY_PSB_TERMINAL

      See Also:
        Constant Field Values

    - #### KEY_PSB_MERCHANT

          public static final java.lang.String KEY_PSB_MERCHANT

      See Also:
        Constant Field Values

    - #### KEY_PSB_PASSWORD

          public static final java.lang.String KEY_PSB_PASSWORD

      See Also:
        Constant Field Values

    - #### KEY_PSB_RECUR_EXP

          public static final java.lang.String KEY_PSB_RECUR_EXP

      See Also:
        Constant Field Values

    - #### KEY_PSB_RECUR_FREQ

          public static final java.lang.String KEY_PSB_RECUR_FREQ

      See Also:
        Constant Field Values

    - #### KEY_PSB_URL_RETURN_OK

          public static final java.lang.String KEY_PSB_URL_RETURN_OK

      See Also:
        Constant Field Values

    - #### KEY_PSB_URL_RETURN_NO

          public static final java.lang.String KEY_PSB_URL_RETURN_NO

      See Also:
        Constant Field Values

    - #### KEY_PSB_CHARGE_TYPE_ID

          public static final java.lang.String KEY_PSB_CHARGE_TYPE_ID

      See Also:
        Constant Field Values

    - #### KEY_PSB_CHARGE_COMMENT

          public static final java.lang.String KEY_PSB_CHARGE_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_PSB_PAYMENT_TYPE_ID

          public static final java.lang.String KEY_PSB_PAYMENT_TYPE_ID

      See Also:
        Constant Field Values

    - #### KEY_PSB_PAYMENT_COMMENT

          public static final java.lang.String KEY_PSB_PAYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_PSB_ADD_CONTRACT_ID

          public static final java.lang.String KEY_PSB_ADD_CONTRACT_ID

      See Also:
        Constant Field Values

    - #### KEY_PSB_DESCRIPTION

          public static final java.lang.String KEY_PSB_DESCRIPTION

      See Also:
        Constant Field Values

    - #### KEY_PSB_MERCHANT_NAME

          public static final java.lang.String KEY_PSB_MERCHANT_NAME

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_ENABLE

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_REST_USER_NAME

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_REST_USER_NAME

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_REST_USER_PSWD

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_REST_USER_PSWD

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_DEFAULT

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_WEEK_ENABLE

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_WEEK_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_WEEK_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_MONTH_ENABLE

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_MONTH_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_MONTH_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_AUTO_ENABLE

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_AUTO_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_ID

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_ID

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_PRN

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_PRN

      See Also:
        Constant Field Values

    - #### KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_INT_REF

          public static final java.lang.String KEY_PSB_AUTOPAYMENT_RECURENT_CHAIN_INT_REF

      See Also:
        Constant Field Values

    - #### PARAM_RC

          public static final java.lang.String PARAM_RC

      See Also:
        Constant Field Values

    - #### PARAM_RRN

          public static final java.lang.String PARAM_RRN

      See Also:
        Constant Field Values

    - #### PARAM_CARD

          public static final java.lang.String PARAM_CARD

      See Also:
        Constant Field Values

    - #### PARAM_DESC

          public static final java.lang.String PARAM_DESC

      See Also:
        Constant Field Values

    - #### PARAM_EMAIL

          public static final java.lang.String PARAM_EMAIL

      See Also:
        Constant Field Values

    - #### PARAM_ORDER

          public static final java.lang.String PARAM_ORDER

      See Also:
        Constant Field Values

    - #### PARAM_NONCE

          public static final java.lang.String PARAM_NONCE

      See Also:
        Constant Field Values

    - #### PARAM_TRTYPE

          public static final java.lang.String PARAM_TRTYPE

      See Also:
        Constant Field Values

    - #### PARAM_P_SIGN

          public static final java.lang.String PARAM_P_SIGN

      See Also:
        Constant Field Values

    - #### PARAM_AMOUNT

          public static final java.lang.String PARAM_AMOUNT

      See Also:
        Constant Field Values

    - #### PARAM_RESULT

          public static final java.lang.String PARAM_RESULT

      See Also:
        Constant Field Values

    - #### PARAM_RCTEXT

          public static final java.lang.String PARAM_RCTEXT

      See Also:
        Constant Field Values

    - #### PARAM_CHANNEL

          public static final java.lang.String PARAM_CHANNEL

      See Also:
        Constant Field Values

    - #### PARAM_BACKREF

          public static final java.lang.String PARAM_BACKREF

      See Also:
        Constant Field Values

    - #### PARAM_INT_REF

          public static final java.lang.String PARAM_INT_REF

      See Also:
        Constant Field Values

    - #### PARAM_AUTHCODE

          public static final java.lang.String PARAM_AUTHCODE

      See Also:
        Constant Field Values

    - #### PARAM_CURRENCY

          public static final java.lang.String PARAM_CURRENCY

      See Also:
        Constant Field Values

    - #### PARAM_TERMINAL

          public static final java.lang.String PARAM_TERMINAL

      See Also:
        Constant Field Values

    - #### PARAM_MERCHANT

          public static final java.lang.String PARAM_MERCHANT

      See Also:
        Constant Field Values

    - #### PARAM_TIMESTAMP

          public static final java.lang.String PARAM_TIMESTAMP

      See Also:
        Constant Field Values

    - #### PARAM_RECUR_REF

          public static final java.lang.String PARAM_RECUR_REF

      See Also:
        Constant Field Values

    - #### PARAM_RECUR_EXP

          public static final java.lang.String PARAM_RECUR_EXP

      See Also:
        Constant Field Values

    - #### PARAM_RECUR_FREQ

          public static final java.lang.String PARAM_RECUR_FREQ

      See Also:
        Constant Field Values

    - #### PARAM_ORG_AMOUNT

          public static final java.lang.String PARAM_ORG_AMOUNT

      See Also:
        Constant Field Values

    - #### PARAM_MERCH_NAME

          public static final java.lang.String PARAM_MERCH_NAME

      See Also:
        Constant Field Values

    - #### PARAMS

          public static final java.lang.String[] PARAMS

    - #### PARAMS_REG_CHAIN

          public static final java.lang.String[] PARAMS_REG_CHAIN

    - #### PARAMS_REG_RECUR

          public static final java.lang.String[] PARAMS_REG_RECUR

  - ### Constructor Detail

    - #### Constants

          public Constants()